#
# spec file for package python-repoze.who
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global modname repoze.who
Name:           python-repoze.who
Version:        2.3
Release:        bp156.3.2
Summary:        Identification and authentication framework for WSGI
License:        SUSE-Repoze
URL:            http://www.repoze.org
Source:         https://files.pythonhosted.org/packages/source/r/repoze.who/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module Paste}
BuildRequires:  %{python_module WebOb}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zope.interface}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Paste
Requires:       python-WebOb
Requires:       python-zope.interface
BuildArch:      noarch
%python_subpackages

%description
repoze.who is an identification and authentication framework
for arbitrary WSGI applications.  repoze.who can be configured
either as WSGI middleware or as an API for use by an application.

repoze.who is inspired by Zope 2's Pluggable Authentication
Service (PAS) (but repoze.who is not dependent on Zope in any
way; it is useful for any WSGI application).  It provides no facility
for authorization (ensuring whether a user can or cannot perform the
operation implied by the request).  This is considered to be the
domain of the WSGI application.

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}/

%check
# test_brokenimpl zope.interface raises different assert
%pytest -k 'not test_brokenimpl'

%files %{python_files}
%license LICENSE.txt
%doc *.txt
%{python_sitelib}/*

%changelog
* Mon Apr  6 2020 Tomáš Chvátal <tchvatal@suse.com>
- Skip failing test as it the zope.interface now raises different
  assert
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Feb  9 2018 tbechtold@suse.com
- Add missing BuildRequires for doc build
* Mon Jul 10 2017 okurz@suse.com
- Convert to singlespec
* Tue Oct  6 2015 dmueller@suse.com
- fix license (SUSE-Repoze)
- update to 2.2:
  Parse INI-file configuration using ``SafeConfigParser``:  allows
  escaping the ``'%%'`` so that e.g. a query template using for a DB-API
  connection using ``pyformat`` preserves the template.
  Added support for Python 3.3, PyPy.
  - ``_compat`` module:  tolerate missing ``CONTENT_TYPE`` key in the WSGI
    environment.  Thanks to Dag Hoidal for the patch.
  - ``htpasswd`` plugin:  add a ``sha1_check`` checker function (the ``crypt``
    module is not available on Windows).  Thanks to Chandrashekar Jayaraman
    for the patch.
  - Documentation typo fixes from Carlos de la Guardia and Atsushi Odagiri.
* Wed Feb  1 2012 saschpe@suse.de
- Initial version
